# Uses of Class
org.eclipse.jdt.core.dom.VariableDeclaration

Packages that use VariableDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of VariableDeclaration in org.eclipse.jdt.core.dom

Subclasses of VariableDeclaration in org.eclipse.jdt.core.dom
Modifier and Type
Class
Description
`class`
`SingleVariableDeclaration`
Single variable declaration AST node type.
`class`
`VariableDeclarationFragment`
Variable declaration fragment AST node type, used in field declarations, local variable declarations, `ForStatement` initializers, and `LambdaExpression` parameters.
Methods in org.eclipse.jdt.core.dom that return VariableDeclaration
Modifier and Type
Method
Description
`VariableDeclaration`
TypePattern.`getPatternVariable2()`
Returns the pattern variable of Types Pattern.
Methods in org.eclipse.jdt.core.dom with parameters of type VariableDeclaration
Modifier and Type
Method
Description
`void`
TypePattern.`setPatternVariable(VariableDeclaration patternVariable2)`
Sets the pattern variable.